This method allows you to perform a “charge” operation through your payment gateway. A “charge” operation will request immediate payment from the card and the card owner will see this listed as a transaction in their card statement.
If needed, you can void this “charge” operation by using the [DELETE] /PaymentGateway/void method.
This method allows you to perform a “charge” operation through your payment gateway. A “charge” operation will request immediate payment from the card and the card owner will see this listed as a transaction in their card statement. If needed, you can void this “charge” operation by using the DELETE /PaymentGateway/void method.
Additional parameters may be requiredSome payment processors require custom parameters and properties to be added to the request. See Gateway-Specific Requirements for processors that require additional information.
Payment gateway merchant account credentialsOrchestra offers two options for providing merchant account credentials:
Inline credentials: Provide the merchant account credentials in the request using the paymentGatewayAccount object.
Stored credentials: Use our Payment Gateway Accounts system to pre-upload and store credentials, then reference them with the paymentGatewayAccountName parameter.
Charge Payments Guide
Complete guide with examples, parameters, and best practices
The card details that should be charged. You can either provide us with the raw card details or provide a reference to the stored card details in a token.
This field is an additional optional parameter used by some of our payment processors. Please read our additional guidance section for payment processors that use this and other parameters
This field is an additional optional parameter used by some of our payment processors. Please read our additional guidance section for payment processors that use this and other parameters
The reference name provided to the stored Payment Gateway Account as set in PUT /PaymentGatewayAccounts/{name}.
Please note, if you provide us with both this parameter and the raw credentials in the paymentGatewayAccount object, this parameter will be ignored and the raw credentials will take precedence.
Optional parameter if the payment gateway requires authentication using a client certificate. The name of the certificate that was stored in our system via our users portal
The raw credentials necessary to connect to the chosen payment gateway as defined in GET /PaymentGateway.
Please note, if you provide us with both the raw details here and a stored Payment Gateway Account in the paymentGatewayAccountName parameter, these credentials will take precedence.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Orchestra Solutions","description":"Payment orchestration platform documentation","colors":{"primary":"#262261","light":"#00ADEE","dark":"#262261"},"logo":{"light":"https://mintcdn.com/orchestrasolutions/JxGWfuqQpaY3_0EL/logo/light.svg?fit=max\u0026auto=format\u0026n=JxGWfuqQpaY3_0EL\u0026q=85\u0026s=f1ba1d9bcabe35d42362da8843632659","dark":"https://mintcdn.com/orchestrasolutions/JxGWfuqQpaY3_0EL/logo/dark.svg?fit=max\u0026auto=format\u0026n=JxGWfuqQpaY3_0EL\u0026q=85\u0026s=5d077d626ed19d1198aaa2f063807260"},"favicon":"https://mintcdn.com/orchestrasolutions/nLJB-634gzBtYuQB/favicon.svg?fit=max\u0026auto=format\u0026n=nLJB-634gzBtYuQB\u0026q=85\u0026s=2c7a783e8f8b28940f3dc9d487383592","api":{"openapi":"orchsol.json"},"navbar":{"links":[{"href":"https://orchestrasolutions.com/","label":"Home"},{"href":"https://orchestrasolutions.com/contact/","label":"Support"}],"primary":{"type":"button","label":"Get Started","href":"https://portal.orchestrasolutions.com"}},"footer":{"socials":{"github":"https://github.com/orchestra-solutions/p18n","linkedin":"https://www.linkedin.com/company/orchestrasolutionsio"}},"seo":{"metatags":{"google-site-verification":"PfycdPf5O4kK93tYHlWazLbV7tOBrE2Gf-g5wGciZek"},"indexing":"navigable"},"integrations":{"ga4":{"measurementId":"G-9WC5XGJ31N"}},"contextual":{"options":["copy","view","chatgpt","claude","cursor","vscode","mcp"],"display":"header"},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"GitHub","icon":"github","href":"https://github.com/orchestra-solutions/p18n"},{"anchor":"Support Forum","icon":"comments","href":"https://github.com/orchestra-solutions/p18n/discussions"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"orchestrasolutions","hasAudioNarration":false,"actualSubdomain":"orchestrasolutions","customDomains":["developers.orchestrasolutions.com"],"gitSource":{"type":"github","owner":"orchestra-solutions","repo":"mintlify","deployBranch":"master","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ad6cd730ea5d4223fa9eab9","collectionId":"9a566c6b-c3cd-412d-889d-9e4ba496d400","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ad6cd730ea5d4223fa9eab9"},"entitlements":{},"buildId":"6ad6cd730ea5d4223fa9eab9","clientVersion":"0.0.4074","searchFilterCounts":[{"language":"default","tag":"Payments Library and REST API Guides","count":59},{"language":"default","tag":"REST API Reference","count":38},{"language":"default","tag":"Orchestra Payments Library Guides","count":13},{"language":"default","tag":"Card Tools","count":12},{"language":"default","tag":"Orchestra REST API Guides","count":12},{"language":"default","tag":"Utilities","count":11},{"language":"default","tag":"Payment Operations","count":9},{"language":"default","tag":"Payment Contracts","count":8},{"language":"default","tag":"Merchant Account Setup","count":7},{"language":"default","tag":"Payment Methods","count":7}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/paymentgateway/perform-a-payment-gateway-charge-operation","slug":"/api-reference/paymentgateway/perform-a-payment-gateway-charge-operation","pageMetadata":{"openapi":"post /PaymentGateway/charge","title":"Perform a payment gateway charge operation","description":"This method allows you to perform a \"charge\" operation through your payment gateway. A \"charge\" operation will request immediate payment from the card and the card owner will see this listed as a transaction in their card statement.\nIf needed, you can void this \"charge\" operation by using the `[DELETE] /PaymentGateway/void` method.","href":"/api-reference/paymentgateway/perform-a-payment-gateway-charge-operation"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_components.p, {\n children: [\"This method allows you to perform a “charge” operation through your payment gateway. A “charge” operation will request immediate payment from the card and the card owner will see this listed as a transaction in their card statement.\\nIf needed, you can void this “charge” operation by using the \", _jsx(_components.code, {\n children: \"[DELETE] /PaymentGateway/void\"\n }), \" method.\"]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,li:`li`,ol:`ol`,p:`p`,strong:`strong`,..._provideComponents(),...props.components},{Card,Note}=_components;if(!Card)_missingMdxReference(`Card`,true);if(!Note)_missingMdxReference(`Note`,true);return _jsxs(_Fragment,{children:[_jsxs(_components.p,{children:[`This method allows you to perform a “charge” operation through your payment gateway. A “charge” operation will request immediate payment from the card and the card owner will see this listed as a transaction in their card statement. If needed, you can void this “charge” operation by using the `,_jsx(_components.code,{children:`DELETE /PaymentGateway/void`}),` method.`]}),`\n`,_jsxs(Note,{children:[_jsx(_components.p,{children:_jsx(_components.strong,{children:`Additional parameters may be required`})}),_jsxs(_components.p,{children:[`Some payment processors require custom parameters and properties to be added to the request. See `,_jsx(_components.a,{href:`/guides/rest-api/gateway-requirements`,children:`Gateway-Specific Requirements`}),` for processors that require additional information.`]})]}),`\n`,_jsxs(Note,{children:[_jsx(_components.p,{children:_jsx(_components.strong,{children:`Payment gateway merchant account credentials`})}),_jsx(_components.p,{children:`Orchestra offers two options for providing merchant account credentials:`}),_jsxs(_components.ol,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Inline credentials`}),`: Provide the merchant account credentials in the request using the `,_jsx(_components.code,{children:`paymentGatewayAccount`}),` object.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Stored credentials`}),`: Use our `,_jsx(_components.a,{href:`/api-reference/paymentgatewayaccounts/add-or-replace-a-payment-gateway-account`,children:`Payment Gateway Accounts`}),` system to pre-upload and store credentials, then reference them with the `,_jsx(_components.code,{children:`paymentGatewayAccountName`}),` parameter.`]}),`\n`]})]}),`\n`,_jsx(Card,{title:`Charge Payments Guide`,icon:`book`,href:`/guides/rest-api/charge`,children:_jsx(_components.p,{children:`Complete guide with examples, parameters, and best practices`})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"post /PaymentGateway/charge","title":"Perform a payment gateway charge operation","description":"This method allows you to perform a \"charge\" operation through your payment gateway. A \"charge\" operation will request immediate payment from the card and the card owner will see this listed as a transaction in their card statement.\nIf needed, you can void this \"charge\" operation by using the `[DELETE] /PaymentGateway/void` method.","href":"/api-reference/paymentgateway/perform-a-payment-gateway-charge-operation"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/orchestrasolutions/df40a8fad539b938/demo/rest-api-demo.js"],"openApiReferenceData":{"operation":{"tags":["PaymentGateway"],"summary":"Perform a payment gateway charge operation","description":"This method allows you to perform a \"charge\" operation through your payment gateway. A \"charge\" operation will request immediate payment from the card and the card owner will see this listed as a transaction in their card statement.\nIf needed, you can void this \"charge\" operation by using the `[DELETE] /PaymentGateway/void` method.","operationId":"GatewayCharge","requestBody":"26e0ad02-214a-4e13-ac69-d997d8c25885","responses":{"200":"4646b5a2-c8ec-4384-bb79-35b09d157db1","202":"a4978fde-b1ce-4c0a-9ec8-b5995ccb6102","400":"e1efd3b0-8d1a-4273-a3ff-dd5e9cb7cdad","401":"415b0a8a-07b8-4bcb-930b-4f0f10e59ddc","409":"7d55b09d-8454-442a-93b3-7c55e968d4db","500":"9aeb4744-8702-41fd-9885-6256278180b9","503":"f3425a7b-c0eb-404b-b281-7cd231082aa9"},"security":["09fe6c0f-34ab-44c2-a894-2d927e44ee5d"],"method":"post","type":"path","servers":["6125ab0c-6caf-4204-b695-022ab9637bdc"],"path":"/PaymentGateway/charge","baseUrlOptions":["https://api.orchestrasolutions.com"],"title":"Perform a payment gateway charge operation","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"content":{"application/json":{"schema":{"required":["amount","card","currency"],"type":"object","properties":{"currency":{"minLength":1,"type":"string","description":"The currency of the transaction. Based on the \u003ca href=\"https://en.wikipedia.org/wiki/ISO_4217#Active_codes\" target=\"_blank\">ISO 4217\u003c/a> standard.","isRequired":true,"uniqueKey":"currency","typeLabel":"string"},"amount":{"type":"number","description":"The amount to be charged (the amount should be in major units - for example, 10.23)","format":"double","isRequired":true,"uniqueKey":"amount","typeLabel":"number\u003cdouble>"},"card":{"required":["cardHolderName","cardNumber","expirationMonth","expirationYear"],"type":"object","properties":{"cardHolderName":{"minLength":1,"type":"string","description":"Cardholder name (as apears on card)","isRequired":true,"uniqueKey":"card.cardHolderName","typeLabel":"string"},"cardNumber":{"minLength":1,"type":"string","description":"Card number (PAN) or a Reference to a Tokenized string. A Token should be referenced in the format @TOKEN, e.g \"@nQGywsQE9gbURtrXEjTZwtWqeMdK9nsO\"","isRequired":true,"uniqueKey":"card.cardNumber","typeLabel":"string"},"expirationYear":{"type":"integer","description":"Expiration year","format":"int32","isRequired":true,"uniqueKey":"card.expirationYear","typeLabel":"integer\u003cint32>"},"expirationMonth":{"type":"integer","description":"Expiration month","format":"int32","isRequired":true,"uniqueKey":"card.expirationMonth","typeLabel":"integer\u003cint32>"},"ownerID":{"oneOf":[{"type":"string","description":"Card owner Id","uniqueKey":"card.ownerID.oneOf.0","typeLabel":"string"},{"type":"null","description":"Card owner Id","uniqueKey":"card.ownerID.oneOf.1","typeLabel":"null"}],"uniqueKey":"card.ownerID","typeLabel":"string | null"},"issueNumber":{"oneOf":[{"type":"string","description":"Card Issue Number","uniqueKey":"card.issueNumber.oneOf.0","typeLabel":"string"},{"type":"null","description":"Card Issue Number","uniqueKey":"card.issueNumber.oneOf.1","typeLabel":"null"}],"uniqueKey":"card.issueNumber","typeLabel":"string | null"},"cvv":{"oneOf":[{"type":"string","description":"Card security code (digits on back of card) or a Reference to a Tokenized string. A Token should be referenced in the format @TOKEN, e.g \\\"@nQGywsQE9gbURtrXEjTZwtWqeMdK9nsO\\","uniqueKey":"card.cvv.oneOf.0","typeLabel":"string"},{"type":"null","description":"Card security code (digits on back of card) or a Reference to a Tokenized string. A Token should be referenced in the format @TOKEN, e.g \\\"@nQGywsQE9gbURtrXEjTZwtWqeMdK9nsO\\","uniqueKey":"card.cvv.oneOf.1","typeLabel":"null"}],"uniqueKey":"card.cvv","typeLabel":"string | null"},"threeDSAuthentication":{"required":["authenticationValue","eci","merchantName","version","xid"],"type":"object","properties":{"authenticationValue":{"minLength":1,"type":"string","description":"Authentication value","isRequired":true,"uniqueKey":"card.threeDSAuthentication.authenticationValue","typeLabel":"string"},"eci":{"maxLength":2,"minLength":1,"type":"string","description":"Electronic Commerce Indicator","isRequired":true,"uniqueKey":"card.threeDSAuthentication.eci","typeLabel":"string"},"xid":{"maxLength":40,"minLength":1,"type":"string","description":"transaction ID from the 3D Secure provider","isRequired":true,"uniqueKey":"card.threeDSAuthentication.xid","typeLabel":"string"},"version":{"maxLength":5,"minLength":1,"type":"string","description":"3ds Version","isRequired":true,"uniqueKey":"card.threeDSAuthentication.version","typeLabel":"string"},"merchantName":{"maxLength":40,"minLength":1,"type":"string","description":"Merchant name","isRequired":true,"uniqueKey":"card.threeDSAuthentication.merchantName","typeLabel":"string"},"sli":{"oneOf":[{"type":"string","description":"(MasterCard) Security Level Indicator","uniqueKey":"card.threeDSAuthentication.sli.oneOf.0","typeLabel":"string"},{"type":"null","description":"(MasterCard) Security Level Indicator","uniqueKey":"card.threeDSAuthentication.sli.oneOf.1","typeLabel":"null"}],"uniqueKey":"card.threeDSAuthentication.sli","typeLabel":"string | null"}},"additionalProperties":false,"description":"Model for 3DS authentication data","uniqueKey":"card.threeDSAuthentication","typeLabel":"object"},"cardType":{"enum":["Unspecified","AMEX","BC","CartaSi","Dankort","Delta","DinersClub","Discover","Electron","Elo","enRoute","Hipercard","JCB","Maestro","MasterCard","MC_Alaska","MC_Canada","Switch","Troy","UATP","UnionPay","Visa"],"type":"string","uniqueKey":"card.cardType","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"description":"The card details that should be charged. You can either provide us with the raw card details or provide a reference to the stored card details in a token.","isRequired":true,"uniqueKey":"card","typeLabel":"object"},"isDigital":{"type":"boolean","description":"This field is an additional optional parameter used by some of our payment processors. Please read our additional guidance section for payment processors that use this and other parameters","uniqueKey":"isDigital","typeLabel":"boolean"},"orderDesc":{"oneOf":[{"type":"string","description":"This field is an additional optional parameter used by some of our payment processors. Please read our additional guidance section for payment processors that use this and other parameters","uniqueKey":"orderDesc.oneOf.0","typeLabel":"string"},{"type":"null","description":"This field is an additional optional parameter used by some of our payment processors. Please read our additional guidance section for payment processors that use this and other parameters","uniqueKey":"orderDesc.oneOf.1","typeLabel":"null"}],"uniqueKey":"orderDesc","typeLabel":"string | null"},"userToken":{"oneOf":[{"type":"string","description":"Token from gateway to be used instead of card details","uniqueKey":"userToken.oneOf.0","typeLabel":"string"},{"type":"null","description":"Token from gateway to be used instead of card details","uniqueKey":"userToken.oneOf.1","typeLabel":"null"}],"uniqueKey":"userToken","typeLabel":"string | null"},"generateToken":{"type":"boolean","description":"Whether to generate a payment gateway token","uniqueKey":"generateToken","typeLabel":"boolean"},"fallbackUpgs":{"oneOf":[{"type":"array","items":{"type":"object","properties":{"paymentGatewayAccountName":{"oneOf":[{"type":"string","description":"UPG Account name","uniqueKey":"fallbackUpgs.oneOf.0.items.[INDEX].paymentGatewayAccountName.oneOf.0","typeLabel":"string"},{"type":"null","description":"UPG Account name","uniqueKey":"fallbackUpgs.oneOf.0.items.[INDEX].paymentGatewayAccountName.oneOf.1","typeLabel":"null"}],"uniqueKey":"fallbackUpgs.oneOf.0.items.[INDEX].paymentGatewayAccountName","typeLabel":"string | null"},"paymentGatewayCertName":{"oneOf":[{"type":"string","description":"Client certificate account name","uniqueKey":"fallbackUpgs.oneOf.0.items.[INDEX].paymentGatewayCertName.oneOf.0","typeLabel":"string"},{"type":"null","description":"Client certificate account name","uniqueKey":"fallbackUpgs.oneOf.0.items.[INDEX].paymentGatewayCertName.oneOf.1","typeLabel":"null"}],"uniqueKey":"fallbackUpgs.oneOf.0.items.[INDEX].paymentGatewayCertName","typeLabel":"string | null"}},"additionalProperties":false,"description":"A single fallback UPG account","uniqueKey":"fallbackUpgs.oneOf.0.items.[INDEX]","typeLabel":"object"},"description":"Array of backup PSP account IDs for failover. If the primary gateway fails, Orchestra will attempt these in order.","uniqueKey":"fallbackUpgs.oneOf.0","typeLabel":"object[]"},{"type":"null","items":{"type":"object","properties":{"paymentGatewayAccountName":{"oneOf":[{"type":"string","description":"UPG Account name"},{"type":"null","description":"UPG Account name"}]},"paymentGatewayCertName":{"oneOf":[{"type":"string","description":"Client certificate account name"},{"type":"null","description":"Client certificate account name"}]}},"additionalProperties":false,"description":"A single fallback UPG account"},"description":"Array of backup PSP account IDs for failover. If the primary gateway fails, Orchestra will attempt these in order.","uniqueKey":"fallbackUpgs.oneOf.1","typeLabel":"null"}],"uniqueKey":"fallbackUpgs","typeLabel":"object[] | null"},"payerDetails":{"required":["clientIPAddress","countryCode"],"type":"object","properties":{"clientIPAddress":{"minLength":1,"type":"string","description":"Client IP address","isRequired":true,"uniqueKey":"payerDetails.clientIPAddress","typeLabel":"string"},"countryCode":{"minLength":1,"pattern":"[A-Z]{2}","type":"string","description":"2 letter country code (\u003ca href=\"https://en.wikipedia.org/wiki/ISO_3166-2#Current_codes\" target=\"_blank\">ISO 3166-2 \u003cimg src=\"https://files.readme.io/b676144-openNewWindow.png\" width=\"10\" />\u003c/a>)","isRequired":true,"uniqueKey":"payerDetails.countryCode","typeLabel":"string"},"address1":{"oneOf":[{"type":"string","description":"1st address line","uniqueKey":"payerDetails.address1.oneOf.0","typeLabel":"string"},{"type":"null","description":"1st address line","uniqueKey":"payerDetails.address1.oneOf.1","typeLabel":"null"}],"uniqueKey":"payerDetails.address1","typeLabel":"string | null"},"address2":{"oneOf":[{"type":"string","description":"2nd address line","uniqueKey":"payerDetails.address2.oneOf.0","typeLabel":"string"},{"type":"null","description":"2nd address line","uniqueKey":"payerDetails.address2.oneOf.1","typeLabel":"null"}],"uniqueKey":"payerDetails.address2","typeLabel":"string | null"},"address3":{"oneOf":[{"type":"string","description":"3rd address line","uniqueKey":"payerDetails.address3.oneOf.0","typeLabel":"string"},{"type":"null","description":"3rd address line","uniqueKey":"payerDetails.address3.oneOf.1","typeLabel":"null"}],"uniqueKey":"payerDetails.address3","typeLabel":"string | null"},"postCode":{"oneOf":[{"type":"string","description":"Postal code or Zip code","uniqueKey":"payerDetails.postCode.oneOf.0","typeLabel":"string"},{"type":"null","description":"Postal code or Zip code","uniqueKey":"payerDetails.postCode.oneOf.1","typeLabel":"null"}],"uniqueKey":"payerDetails.postCode","typeLabel":"string | null"},"city":{"oneOf":[{"type":"string","description":"City","uniqueKey":"payerDetails.city.oneOf.0","typeLabel":"string"},{"type":"null","description":"City","uniqueKey":"payerDetails.city.oneOf.1","typeLabel":"null"}],"uniqueKey":"payerDetails.city","typeLabel":"string | null"},"stateProvince":{"oneOf":[{"type":"string","description":"State or Province","uniqueKey":"payerDetails.stateProvince.oneOf.0","typeLabel":"string"},{"type":"null","description":"State or Province","uniqueKey":"payerDetails.stateProvince.oneOf.1","typeLabel":"null"}],"uniqueKey":"payerDetails.stateProvince","typeLabel":"string | null"}},"additionalProperties":false,"description":"The billing information of the card owner","uniqueKey":"payerDetails","typeLabel":"object"},"myRef":{"oneOf":[{"type":"string","description":"Your custom reference for this transaction","uniqueKey":"myRef.oneOf.0","typeLabel":"string"},{"type":"null","description":"Your custom reference for this transaction","uniqueKey":"myRef.oneOf.1","typeLabel":"null"}],"uniqueKey":"myRef","typeLabel":"string | null"},"paymentGatewayAccountName":{"oneOf":[{"type":"string","description":"The reference name provided to the stored Payment Gateway Account as set in `PUT /PaymentGatewayAccounts/{name}`.\n**Please note**, if you provide us with both this parameter and the raw credentials in the `paymentGatewayAccount` object, this parameter will be ignored and the raw credentials will take precedence.","uniqueKey":"paymentGatewayAccountName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The reference name provided to the stored Payment Gateway Account as set in `PUT /PaymentGatewayAccounts/{name}`.\n**Please note**, if you provide us with both this parameter and the raw credentials in the `paymentGatewayAccount` object, this parameter will be ignored and the raw credentials will take precedence.","uniqueKey":"paymentGatewayAccountName.oneOf.1","typeLabel":"null"}],"uniqueKey":"paymentGatewayAccountName","typeLabel":"string | null"},"certificateName":{"oneOf":[{"maxLength":128,"type":"string","description":"Optional parameter if the payment gateway requires authentication using a client certificate. The name of the certificate that was stored in our system via our \u003ca href=\"https://portal.orchestrasolutions.com\" target=\"_blank\">users portal\u003c/a>","uniqueKey":"certificateName.oneOf.0","typeLabel":"string"},{"maxLength":128,"type":"null","description":"Optional parameter if the payment gateway requires authentication using a client certificate. The name of the certificate that was stored in our system via our \u003ca href=\"https://portal.orchestrasolutions.com\" target=\"_blank\">users portal\u003c/a>","uniqueKey":"certificateName.oneOf.1","typeLabel":"null"}],"uniqueKey":"certificateName","typeLabel":"string | null"},"paymentGatewayAccount":{"type":"object","properties":{"paymentGatewayName":{"oneOf":[{"type":"string","description":"Unique name of the Payment Gateway the account information relates to.","uniqueKey":"paymentGatewayAccount.paymentGatewayName.oneOf.0","typeLabel":"string"},{"type":"null","description":"Unique name of the Payment Gateway the account information relates to.","uniqueKey":"paymentGatewayAccount.paymentGatewayName.oneOf.1","typeLabel":"null"}],"uniqueKey":"paymentGatewayAccount.paymentGatewayName","typeLabel":"string | null"},"credentials":{"oneOf":[{"type":"array","items":{"type":"object","properties":{"key":{"oneOf":[{"type":"string","description":"Key","uniqueKey":"paymentGatewayAccount.credentials.oneOf.0.items.[INDEX].key.oneOf.0","typeLabel":"string"},{"type":"null","description":"Key","uniqueKey":"paymentGatewayAccount.credentials.oneOf.0.items.[INDEX].key.oneOf.1","typeLabel":"null"}],"uniqueKey":"paymentGatewayAccount.credentials.oneOf.0.items.[INDEX].key","typeLabel":"string | null"},"value":{"oneOf":[{"type":"string","description":"Value","uniqueKey":"paymentGatewayAccount.credentials.oneOf.0.items.[INDEX].value.oneOf.0","typeLabel":"string"},{"type":"null","description":"Value","uniqueKey":"paymentGatewayAccount.credentials.oneOf.0.items.[INDEX].value.oneOf.1","typeLabel":"null"}],"uniqueKey":"paymentGatewayAccount.credentials.oneOf.0.items.[INDEX].value","typeLabel":"string | null"}},"additionalProperties":false,"description":"A helper class","uniqueKey":"paymentGatewayAccount.credentials.oneOf.0.items.[INDEX]","typeLabel":"object"},"description":" An array of key-value pairs containing the authentication parameters required to connect Orchestra to your payment gateway account. Each payment gateway requires a specific set of credentials (such as API keys, merchant IDs, secret keys, etc.) to establish the connection.\n**Structure:** Each credential object contains a `Key` (string) for the parameter name and a `Value` (string) for the authentication value.\n** Determining Required Credentials:** The specific credentials required vary by payment gateway.To retrieve the required credential parameters for your target gateway, call `GET /paymentGateway` to get all available payment gateways and their credential specifications. Each gateway will list which credential keys are required (e.g., \"PrivateKey\", \"MerchantID\", \"ApiSecret\").\n**Example:**\n```json\n\"Credentials\": [\n {\n \"Key\": \"PrivateKey\",\n \"Value\": \"VBtt666M/G098098vgdewvk0Mc-GH\"\n },\n {\n \"Key\": \"MerchantID\",\n \"Value\": \"12345678\"\n }\n]\n```\n**Security Note: **Credential values are sensitive authentication data. Ensure all API calls are made over HTTPS and values are stored securely.","uniqueKey":"paymentGatewayAccount.credentials.oneOf.0","typeLabel":"object[]"},{"type":"null","items":{"type":"object","properties":{"key":{"oneOf":[{"type":"string","description":"Key"},{"type":"null","description":"Key"}]},"value":{"oneOf":[{"type":"string","description":"Value"},{"type":"null","description":"Value"}]}},"additionalProperties":false,"description":"A helper class"},"description":" An array of key-value pairs containing the authentication parameters required to connect Orchestra to your payment gateway account. Each payment gateway requires a specific set of credentials (such as API keys, merchant IDs, secret keys, etc.) to establish the connection.\n**Structure:** Each credential object contains a `Key` (string) for the parameter name and a `Value` (string) for the authentication value.\n** Determining Required Credentials:** The specific credentials required vary by payment gateway.To retrieve the required credential parameters for your target gateway, call `GET /paymentGateway` to get all available payment gateways and their credential specifications. Each gateway will list which credential keys are required (e.g., \"PrivateKey\", \"MerchantID\", \"ApiSecret\").\n**Example:**\n```json\n\"Credentials\": [\n {\n \"Key\": \"PrivateKey\",\n \"Value\": \"VBtt666M/G098098vgdewvk0Mc-GH\"\n },\n {\n \"Key\": \"MerchantID\",\n \"Value\": \"12345678\"\n }\n]\n```\n**Security Note: **Credential values are sensitive authentication data. Ensure all API calls are made over HTTPS and values are stored securely.","uniqueKey":"paymentGatewayAccount.credentials.oneOf.1","typeLabel":"null"}],"uniqueKey":"paymentGatewayAccount.credentials","typeLabel":"object[] | null"}},"additionalProperties":false,"description":"The raw credentials necessary to connect to the chosen payment gateway as defined in `GET /PaymentGateway`.\n**Please note**, if you provide us with both the raw details here and a stored Payment Gateway Account in the `paymentGatewayAccountName` parameter, these credentials will take precedence.","uniqueKey":"paymentGatewayAccount","typeLabel":"object"},"networkTokenBrand":{"enum":["Visa","MasterCard","Amex"],"type":"string","uniqueKey":"networkTokenBrand","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"currency":"\u003cstring>","amount":123,"card":{"cardHolderName":"\u003cstring>","cardNumber":"\u003cstring>","expirationYear":123,"expirationMonth":123,"ownerID":"\u003cstring>","issueNumber":"\u003cstring>","cvv":"\u003cstring>"},"isDigital":true,"orderDesc":"\u003cstring>","userToken":"\u003cstring>","generateToken":true,"fallbackUpgs":[{"paymentGatewayAccountName":"\u003cstring>","paymentGatewayCertName":"\u003cstring>"}],"myRef":"\u003cstring>","paymentGatewayAccountName":"\u003cstring>","certificateName":"\u003cstring>","paymentGatewayAccount":{"paymentGatewayName":"\u003cstring>","credentials":[{"key":"\u003cstring>","value":"\u003cstring>"}]}}}},"exampleType":"generated"}},"required":true,"exampleType":"generated"},"responses":{"4646b5a2-c8ec-4384-bb79-35b09d157db1":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"authorizationCode":{"oneOf":[{"type":"string","uniqueKey":"authorizationCode.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"authorizationCode.oneOf.1","typeLabel":"null"}],"uniqueKey":"authorizationCode","typeLabel":"string | null"},"currency":{"enum":["AFN","EUR","ALL","DZD","USD","AOA","XCD","ARS","AMD","AWG","AUD","AZN","BSD","BHD","BDT","BBD","BYR","BZD","XOF","BMD","BTN","INR","BOB","BOV","BAM","BWP","NOK","BRL","BND","BGN","BIF","KHR","XAF","CAD","CVE","KYD","CLF","CLP","CNY","COP","COU","KMF","CDF","NZD","CRC","HRK","CUC","CUP","ANG","CZK","DKK","DJF","DOP","EGP","SVC","ERN","ETB","FKP","FJD","XPF","GMD","GEL","GHS","GIP","GTQ","GBP","GNF","GYD","HTG","HNL","HKD","HUF","ISK","IDR","XDR","IRR","IQD","ILS","JMD","JPY","JOD","KZT","KES","KPW","KRW","KWD","KGS","LAK","LBP","LSL","ZAR","LRD","LYD","CHF","LTL","MOP","MKD","MGA","MWK","MYR","MVR","MRO","MUR","XUA","MXN","MXV","MDL","MNT","MAD","MZN","MMK","NAD","NPR","NIO","NGN","OMR","PKR","PAB","PGK","PYG","PEN","PHP","PLN","QAR","RON","RUB","RWF","SHP","WST","STD","SAR","RSD","SCR","SLL","SGD","XSU","SBD","SOS","SSP","LKR","SDG","SRD","SZL","SEK","CHE","CHW","SYP","TWD","TJS","TZS","THB","TOP","TTD","TND","TRY","TMT","UGX","UAH","AED","USN","UYI","UYU","UZS","VUV","VEF","VND","YER","ZMW","ZWL","XBA","XBB","XBC","XBD","XTS","XXX","XAU","XPD","XPT","XAG"],"type":"string","uniqueKey":"currency","typeLabel":"enum\u003cstring>"},"amount":{"type":"number","format":"double","uniqueKey":"amount","typeLabel":"number\u003cdouble>"},"operationType":{"enum":["Charge","PreAuth","Capture","Void","Refund","Tokenize","Status"],"type":"string","uniqueKey":"operationType","typeLabel":"enum\u003cstring>"},"operationResultCode":{"enum":["Success","Accepted","Rejected","TemporaryFailure","FatalFailure","NotImplemented"],"type":"string","uniqueKey":"operationResultCode","typeLabel":"enum\u003cstring>"},"operationResultDescription":{"oneOf":[{"type":"string","uniqueKey":"operationResultDescription.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"operationResultDescription.oneOf.1","typeLabel":"null"}],"uniqueKey":"operationResultDescription","typeLabel":"string | null"},"customGatewayResponse":{"oneOf":[{},{"type":"null","uniqueKey":"customGatewayResponse.oneOf.1","typeLabel":"null"}],"uniqueKey":"customGatewayResponse","typeLabel":"null"},"gatewayName":{"oneOf":[{"type":"string","uniqueKey":"gatewayName.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"gatewayName.oneOf.1","typeLabel":"null"}],"uniqueKey":"gatewayName","typeLabel":"string | null"},"gatewayReference":{"oneOf":[{"type":"string","uniqueKey":"gatewayReference.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"gatewayReference.oneOf.1","typeLabel":"null"}],"uniqueKey":"gatewayReference","typeLabel":"string | null"},"gatewayResultCode":{"oneOf":[{"type":"string","uniqueKey":"gatewayResultCode.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"gatewayResultCode.oneOf.1","typeLabel":"null"}],"uniqueKey":"gatewayResultCode","typeLabel":"string | null"},"gatewayResultDescription":{"oneOf":[{"type":"string","uniqueKey":"gatewayResultDescription.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"gatewayResultDescription.oneOf.1","typeLabel":"null"}],"uniqueKey":"gatewayResultDescription","typeLabel":"string | null"},"gatewayResultSubCode":{"oneOf":[{"type":"string","uniqueKey":"gatewayResultSubCode.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"gatewayResultSubCode.oneOf.1","typeLabel":"null"}],"uniqueKey":"gatewayResultSubCode","typeLabel":"string | null"},"gatewayResultSubDescription":{"oneOf":[{"type":"string","uniqueKey":"gatewayResultSubDescription.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"gatewayResultSubDescription.oneOf.1","typeLabel":"null"}],"uniqueKey":"gatewayResultSubDescription","typeLabel":"string | null"},"gatewayToken":{"oneOf":[{},{"type":"null","uniqueKey":"gatewayToken.oneOf.1","typeLabel":"null"}],"uniqueKey":"gatewayToken","typeLabel":"null"},"rejectReasonCode":{"enum":["None","InsufficientFunds","CardExpired","InvalidCard","DoNotHonor","Fraud","LostOrStolenCard","ExceedsLimit","InvalidTransaction","ProcessorDecline","AuthenticationFailed","TechnicalError","Other"],"type":"string","uniqueKey":"rejectReasonCode","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"authorizationCode":"\u003cstring>","currency":"AFN","amount":123,"operationType":"Charge","operationResultCode":"Success","operationResultDescription":"\u003cstring>","customGatewayResponse":"\u003cunknown>","gatewayName":"\u003cstring>","gatewayReference":"\u003cstring>","gatewayResultCode":"\u003cstring>","gatewayResultDescription":"\u003cstring>","gatewayResultSubCode":"\u003cstring>","gatewayResultSubDescription":"\u003cstring>","gatewayToken":"\u003cunknown>","rejectReasonCode":"None"}}},"exampleType":"generated"}},"exampleType":"generated"},"a4978fde-b1ce-4c0a-9ec8-b5995ccb6102":{"description":"Accepted (for future processing by payment gateway)","content":{"application/json":{"schema":{"type":"object","properties":{"authorizationCode":{"oneOf":[{"type":"string","uniqueKey":"authorizationCode.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"authorizationCode.oneOf.1","typeLabel":"null"}],"uniqueKey":"authorizationCode","typeLabel":"string | null"},"currency":{"enum":["AFN","EUR","ALL","DZD","USD","AOA","XCD","ARS","AMD","AWG","AUD","AZN","BSD","BHD","BDT","BBD","BYR","BZD","XOF","BMD","BTN","INR","BOB","BOV","BAM","BWP","NOK","BRL","BND","BGN","BIF","KHR","XAF","CAD","CVE","KYD","CLF","CLP","CNY","COP","COU","KMF","CDF","NZD","CRC","HRK","CUC","CUP","ANG","CZK","DKK","DJF","DOP","EGP","SVC","ERN","ETB","FKP","FJD","XPF","GMD","GEL","GHS","GIP","GTQ","GBP","GNF","GYD","HTG","HNL","HKD","HUF","ISK","IDR","XDR","IRR","IQD","ILS","JMD","JPY","JOD","KZT","KES","KPW","KRW","KWD","KGS","LAK","LBP","LSL","ZAR","LRD","LYD","CHF","LTL","MOP","MKD","MGA","MWK","MYR","MVR","MRO","MUR","XUA","MXN","MXV","MDL","MNT","MAD","MZN","MMK","NAD","NPR","NIO","NGN","OMR","PKR","PAB","PGK","PYG","PEN","PHP","PLN","QAR","RON","RUB","RWF","SHP","WST","STD","SAR","RSD","SCR","SLL","SGD","XSU","SBD","SOS","SSP","LKR","SDG","SRD","SZL","SEK","CHE","CHW","SYP","TWD","TJS","TZS","THB","TOP","TTD","TND","TRY","TMT","UGX","UAH","AED","USN","UYI","UYU","UZS","VUV","VEF","VND","YER","ZMW","ZWL","XBA","XBB","XBC","XBD","XTS","XXX","XAU","XPD","XPT","XAG"],"type":"string","uniqueKey":"currency","typeLabel":"enum\u003cstring>"},"amount":{"type":"number","format":"double","uniqueKey":"amount","typeLabel":"number\u003cdouble>"},"operationType":{"enum":["Charge","PreAuth","Capture","Void","Refund","Tokenize","Status"],"type":"string","uniqueKey":"operationType","typeLabel":"enum\u003cstring>"},"operationResultCode":{"enum":["Success","Accepted","Rejected","TemporaryFailure","FatalFailure","NotImplemented"],"type":"string","uniqueKey":"operationResultCode","typeLabel":"enum\u003cstring>"},"operationResultDescription":{"oneOf":[{"type":"string","uniqueKey":"operationResultDescription.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"operationResultDescription.oneOf.1","typeLabel":"null"}],"uniqueKey":"operationResultDescription","typeLabel":"string | null"},"customGatewayResponse":{"oneOf":[{},{"type":"null","uniqueKey":"customGatewayResponse.oneOf.1","typeLabel":"null"}],"uniqueKey":"customGatewayResponse","typeLabel":"null"},"gatewayName":{"oneOf":[{"type":"string","uniqueKey":"gatewayName.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"gatewayName.oneOf.1","typeLabel":"null"}],"uniqueKey":"gatewayName","typeLabel":"string | null"},"gatewayReference":{"oneOf":[{"type":"string","uniqueKey":"gatewayReference.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"gatewayReference.oneOf.1","typeLabel":"null"}],"uniqueKey":"gatewayReference","typeLabel":"string | null"},"gatewayResultCode":{"oneOf":[{"type":"string","uniqueKey":"gatewayResultCode.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"gatewayResultCode.oneOf.1","typeLabel":"null"}],"uniqueKey":"gatewayResultCode","typeLabel":"string | null"},"gatewayResultDescription":{"oneOf":[{"type":"string","uniqueKey":"gatewayResultDescription.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"gatewayResultDescription.oneOf.1","typeLabel":"null"}],"uniqueKey":"gatewayResultDescription","typeLabel":"string | null"},"gatewayResultSubCode":{"oneOf":[{"type":"string","uniqueKey":"gatewayResultSubCode.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"gatewayResultSubCode.oneOf.1","typeLabel":"null"}],"uniqueKey":"gatewayResultSubCode","typeLabel":"string | null"},"gatewayResultSubDescription":{"oneOf":[{"type":"string","uniqueKey":"gatewayResultSubDescription.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"gatewayResultSubDescription.oneOf.1","typeLabel":"null"}],"uniqueKey":"gatewayResultSubDescription","typeLabel":"string | null"},"gatewayToken":{"oneOf":[{},{"type":"null","uniqueKey":"gatewayToken.oneOf.1","typeLabel":"null"}],"uniqueKey":"gatewayToken","typeLabel":"null"},"rejectReasonCode":{"enum":["None","InsufficientFunds","CardExpired","InvalidCard","DoNotHonor","Fraud","LostOrStolenCard","ExceedsLimit","InvalidTransaction","ProcessorDecline","AuthenticationFailed","TechnicalError","Other"],"type":"string","uniqueKey":"rejectReasonCode","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"authorizationCode":"\u003cstring>","currency":"AFN","amount":123,"operationType":"Charge","operationResultCode":"Success","operationResultDescription":"\u003cstring>","customGatewayResponse":"\u003cunknown>","gatewayName":"\u003cstring>","gatewayReference":"\u003cstring>","gatewayResultCode":"\u003cstring>","gatewayResultDescription":"\u003cstring>","gatewayResultSubCode":"\u003cstring>","gatewayResultSubDescription":"\u003cstring>","gatewayToken":"\u003cunknown>","rejectReasonCode":"None"}}},"exampleType":"generated"}},"exampleType":"generated"},"e1efd3b0-8d1a-4273-a3ff-dd5e9cb7cdad":{"description":"Bad data","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"fieldName":{"oneOf":[{"type":"string","description":"Field name the error(s) are referring to","uniqueKey":"items.[INDEX].fieldName.oneOf.0","typeLabel":"string"},{"type":"null","description":"Field name the error(s) are referring to","uniqueKey":"items.[INDEX].fieldName.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].fieldName","typeLabel":"string | null"},"errors":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"items.[INDEX].errors.oneOf.0.items.[INDEX]","typeLabel":"string"},"description":"List of errors","uniqueKey":"items.[INDEX].errors.oneOf.0","typeLabel":"string[]"},{"type":"null","items":{"type":"string"},"description":"List of errors","uniqueKey":"items.[INDEX].errors.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].errors","typeLabel":"string[] | null"}},"additionalProperties":false,"description":"Model for display validation error messages","uniqueKey":"items.[INDEX]","typeLabel":"object"},"uniqueKey":"","typeLabel":"object[]"},"examples":{"Example":{"title":"Example","value":[{"fieldName":"\u003cstring>","errors":["\u003cstring>"]}]}},"exampleType":"generated"}},"exampleType":"generated"},"415b0a8a-07b8-4bcb-930b-4f0f10e59ddc":{"description":"Not authenticated","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"7d55b09d-8454-442a-93b3-7c55e968d4db":{"description":"Conflict - rejected by payment gateway","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"9aeb4744-8702-41fd-9885-6256278180b9":{"description":"Error with payment gateway","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"f3425a7b-c0eb-404b-b281-7cd231082aa9":{"description":"Temporary failure with payment gateway","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}}},"security":{"09fe6c0f-34ab-44c2-a894-2d927e44ee5d":{}},"servers":{"6125ab0c-6caf-4204-b695-022ab9637bdc":{"url":"https://api.orchestrasolutions.com"}}},"originalFileLocation":"orchsol.json"},"subdomain":"orchestrasolutions","siteName":"Orchestra Solutions","title":"Perform a payment gateway charge operation - Orchestra Solutions","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2025-12-18T16:00:14.337Z","originalFileLocation":"api-reference/paymentgateway/perform-a-payment-gateway-charge-operation.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"This method allows you to perform a \u0026quot;charge\u0026quot; operation through your payment gateway. A \u0026quot;charge\u0026quot; operation will request immediate payment from the card and the card owner will see this listed as a transaction in their card statement. If needed, you can void this \u0026quot;charge\u0026quot; operation by using the [DELETE] /PaymentGateway/void method.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Orchestra Solutions\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/orchestrasolutions/3HMTXBbfxx0U032c/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/orchestrasolutions/3HMTXBbfxx0U032c/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/orchestrasolutions/3HMTXBbfxx0U032c/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/orchestrasolutions/3HMTXBbfxx0U032c/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/orchestrasolutions/3HMTXBbfxx0U032c/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/orchestrasolutions/3HMTXBbfxx0U032c/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/orchestrasolutions/3HMTXBbfxx0U032c/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/orchestrasolutions/3HMTXBbfxx0U032c/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/orchestrasolutions/3HMTXBbfxx0U032c/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Perform a payment gateway charge operation - Orchestra Solutions\">\u003cmeta data-mint-head property=\"og:description\" content=\"This method allows you to perform a \u0026quot;charge\u0026quot; operation through your payment gateway. A \u0026quot;charge\u0026quot; operation will request immediate payment from the card and the card owner will see this listed as a transaction in their card statement. If needed, you can void this \u0026quot;charge\u0026quot; operation by using the [DELETE] /PaymentGateway/void method.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Orchestra Solutions\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://developers.orchestrasolutions.com/api-reference/paymentgateway/perform-a-payment-gateway-charge-operation\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://orchestrasolutions.mintlify.site/_mintlify/api/og/v2?division=Payment+Operations\u0026amp;title=Perform+a+payment+gateway+charge+operation\u0026amp;description=This+method+allows+you+to+perform+a+%22charge%22+operation+through+your+payment+gateway.+A+%22charge%22+operation+will+request+immediate+payment+from+the+card+and+the+c\u0026amp;theme=5a0f3da762007afb42f1886d\u0026amp;signature=fba1e68b66b02a3fb1501aef221a3f2fe04e7e96d757212a8fd0a42004beb518\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Perform a payment gateway charge operation - Orchestra Solutions\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"This method allows you to perform a \u0026quot;charge\u0026quot; operation through your payment gateway. A \u0026quot;charge\u0026quot; operation will request immediate payment from the card and the card owner will see this listed as a transaction in their card statement. If needed, you can void this \u0026quot;charge\u0026quot; operation by using the [DELETE] /PaymentGateway/void method.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://orchestrasolutions.mintlify.site/_mintlify/api/og/v2?division=Payment+Operations\u0026amp;title=Perform+a+payment+gateway+charge+operation\u0026amp;description=This+method+allows+you+to+perform+a+%22charge%22+operation+through+your+payment+gateway.+A+%22charge%22+operation+will+request+immediate+payment+from+the+card+and+the+c\u0026amp;theme=5a0f3da762007afb42f1886d\u0026amp;signature=fba1e68b66b02a3fb1501aef221a3f2fe04e7e96d757212a8fd0a42004beb518\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/orchestrasolutions/3HMTXBbfxx0U032c/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Orchestra Solutions\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#262261\">\u003cmeta data-mint-head name=\"google-site-verification\" content=\"PfycdPf5O4kK93tYHlWazLbV7tOBrE2Gf-g5wGciZek\">\u003clink data-mint-head rel=\"canonical\" href=\"https://developers.orchestrasolutions.com/api-reference/paymentgateway/perform-a-payment-gateway-charge-operation\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/paymentgateway/perform-a-payment-gateway-charge-operation.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://developers.orchestrasolutions.com/#organization\",\"name\":\"Orchestra Solutions\",\"url\":\"https://developers.orchestrasolutions.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/orchestrasolutions/JxGWfuqQpaY3_0EL/logo/light.svg?fit=max\u0026auto=format\u0026n=JxGWfuqQpaY3_0EL\u0026q=85\u0026s=f1ba1d9bcabe35d42362da8843632659\"}},{\"@type\":\"WebSite\",\"@id\":\"https://developers.orchestrasolutions.com#website\",\"name\":\"Orchestra Solutions\",\"url\":\"https://developers.orchestrasolutions.com\",\"publisher\":{\"@id\":\"https://developers.orchestrasolutions.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://developers.orchestrasolutions.com/api-reference/paymentgateway/perform-a-payment-gateway-charge-operation#webpage\",\"url\":\"https://developers.orchestrasolutions.com/api-reference/paymentgateway/perform-a-payment-gateway-charge-operation\",\"name\":\"Perform a payment gateway charge operation\",\"description\":\"This method allows you to perform a \\\"charge\\\" operation through your payment gateway. A \\\"charge\\\" operation will request immediate payment from the card and the card owner will see this listed as a transaction in their card statement. If needed, you can void this \\\"charge\\\" operation by using the [DELETE] /PaymentGateway/void method.\",\"dateModified\":\"2025-12-18T16:00:14.337Z\",\"isPartOf\":{\"@id\":\"https://developers.orchestrasolutions.com#website\"},\"breadcrumb\":{\"@id\":\"https://developers.orchestrasolutions.com/api-reference/paymentgateway/perform-a-payment-gateway-charge-operation#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://developers.orchestrasolutions.com/api-reference/paymentgateway/perform-a-payment-gateway-charge-operation#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Payment Operations\",\"item\":\"https://developers.orchestrasolutions.com/api-reference/paymentgateway/overview\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Perform a payment gateway charge operation\",\"item\":\"https://developers.orchestrasolutions.com/api-reference/paymentgateway/perform-a-payment-gateway-charge-operation\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://developers.orchestrasolutions.com/api-reference/paymentgateway/perform-a-payment-gateway-charge-operation#apireference\",\"headline\":\"Perform a payment gateway charge operation\",\"name\":\"Perform a payment gateway charge operation\",\"description\":\"This method allows you to perform a \\\"charge\\\" operation through your payment gateway. A \\\"charge\\\" operation will request immediate payment from the card and the card owner will see this listed as a transaction in their card statement. If needed, you can void this \\\"charge\\\" operation by using the [DELETE] /PaymentGateway/void method.\",\"url\":\"https://developers.orchestrasolutions.com/api-reference/paymentgateway/perform-a-payment-gateway-charge-operation\",\"mainEntityOfPage\":{\"@id\":\"https://developers.orchestrasolutions.com/api-reference/paymentgateway/perform-a-payment-gateway-charge-operation#webpage\"},\"dateModified\":\"2025-12-18T16:00:14.337Z\",\"publisher\":{\"@id\":\"https://developers.orchestrasolutions.com/#organization\"},\"isPartOf\":{\"@id\":\"https://developers.orchestrasolutions.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Orchestra Solutions\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Orchestra Solutions","nav":{"global":{"anchors":[{"anchor":"GitHub","icon":"github","href":"https://github.com/orchestra-solutions/p18n"},{"anchor":"Support Forum","icon":"comments","href":"https://github.com/orchestra-solutions/p18n/discussions"}]},"tabs":[{"tab":"Payments Library and REST API Guides","icon":"book","pages":[{"title":"Payments Library and REST API Guides","href":""}]},{"tab":"REST API Reference","icon":"code","groups":[{"group":"Overview","pages":[{"title":"API Reference","href":"/api-reference/overview"}]},{"group":"Payment Operations","pages":[{"title":"Payment Operations API Overview","href":"/api-reference/paymentgateway/overview"},{"openapi":"get /PaymentGateway","title":"List all payment gateways","description":"To provide you with full payment orchestration capabilities, we have integrated with many different payment gateways and processors around the world. This method allows you to retrieve the list of all integrated payment gateways in our system and provide you with the relevant connection settings required for each of them.\nTo see a graphical list of the supported payment gateways, please visit our website.\nIf you would like us to support a new payment gateway not on the list, please contact our support.","href":"/api-reference/paymentgateway/list-all-payment-gateways"},{"openapi":"post /PaymentGateway/charge","title":"Perform a payment gateway charge operation","href":"/api-reference/paymentgateway/perform-a-payment-gateway-charge-operation"},{"openapi":"post /PaymentGateway/authorize","title":"Perform a payment gateway authorize operation","description":"This method allows you to perform an \"authorize\" operation (also called \"preauthorization\" or \"authorization\") through your payment gateway. When you perform the \"authorize\" operation, the bank that issued the credit card will place an authorization of the total amount of the funds. This is how the bank determines if the funds are available to make the purchase. The card will not actually be “charged” until you perform the \"capture\" operation (using our `[PUT] /PaymentGateway/capture` method).\n**Please note**, different card brands and different banks allow for different time frames on the lifespan of a payment authorization. You will need to check with your payment processor on how long you would have between performing an \"authorize\" operation and a \"charge\" operation\".\nIf needed, you can void this \"authorize\" operation by using the `[DELETE] /PaymentGateway/void` method","href":"/api-reference/paymentgateway/perform-a-payment-gateway-authorize-operation"},{"openapi":"put /PaymentGateway/capture","title":"Perform a payment gateway capture operation","href":"/api-reference/paymentgateway/perform-a-payment-gateway-capture-operation"},{"openapi":"post /PaymentGateway/tokenize","title":"Perform a payment gateway tokenize operation","href":"/api-reference/paymentgateway/perform-a-payment-gateway-tokenize-operation"},{"openapi":"put /PaymentGateway/refund","title":"Perform a payment gateway refund operation","href":"/api-reference/paymentgateway/perform-a-payment-gateway-refund-operation"},{"openapi":"delete /PaymentGateway/void","title":"Perform a payment gateway Void operation","href":"/api-reference/paymentgateway/perform-a-payment-gateway-void-operation"},{"openapi":"post /PaymentGateway/status","title":"Perform a payment gateway status operation","href":"/api-reference/paymentgateway/perform-a-payment-gateway-status-operation"}]},{"group":"String Tokens","pages":[{"title":"String Tokens API Overview","href":"/api-reference/stringtokens/overview"},{"openapi":"post /StringTokens","title":"Store and tokenize a string","href":"/api-reference/stringtokens/store-and-tokenize-a-string"},{"openapi":"get /StringTokens/{token}","title":"Retrieve content of StringToken","href":"/api-reference/stringtokens/retrieve-content-of-stringtoken"},{"openapi":"delete /StringTokens/{token}","title":"Delete an existing string by token","href":"/api-reference/stringtokens/delete-an-existing-string-by-token"},{"openapi":"get /StringTokens/{token}/meta","title":"Retrieve meta data of a StringToken","href":"/api-reference/stringtokens/retrieve-meta-data-of-a-stringtoken"}]},{"group":"Payment Contracts","pages":[{"title":"Payment Contracts API Overview","href":"/api-reference/paymentcontract/overview"},{"openapi":"get /PaymentContract","title":"List Payment Contracts","href":"/api-reference/paymentcontract/list-payment-contracts"},{"openapi":"post /PaymentContract","title":"Create a new Payment Contract","href":"/api-reference/paymentcontract/create-a-new-payment-contract"},{"openapi":"get /PaymentContract/{id}","title":"Retrieve Payment Contract","href":"/api-reference/paymentcontract/retrieve-payment-contract"},{"openapi":"put /PaymentContract/{id}","title":"Update a Payment Contract","href":"/api-reference/paymentcontract/update-a-payment-contract"},{"openapi":"post /PaymentContract/{id}/pause","title":"Pause a Payment Contract","href":"/api-reference/paymentcontract/pause-a-payment-contract"},{"openapi":"post /PaymentContract/{id}/resume","title":"Resume a Payment Contract","href":"/api-reference/paymentcontract/resume-a-payment-contract"},{"openapi":"post /PaymentContract/{id}/cancel","title":"Cancel a Payment Contract","href":"/api-reference/paymentcontract/cancel-a-payment-contract"}]},{"group":"Payment Gateway Accounts","pages":[{"title":"Payment Gateway Accounts API Overview","href":"/api-reference/paymentgatewayaccounts/overview"},{"openapi":"get /PaymentGatewayAccounts","title":"List Payment Gateway Accounts","href":"/api-reference/paymentgatewayaccounts/list-payment-gateway-accounts"},{"openapi":"get /PaymentGatewayAccounts/{name}","title":"Retrieve Payment Gateway Account","href":"/api-reference/paymentgatewayaccounts/retrieve-payment-gateway-account"},{"openapi":"put /PaymentGatewayAccounts/{name}","title":"Add or Replace a Payment Gateway Account","href":"/api-reference/paymentgatewayaccounts/add-or-replace-a-payment-gateway-account"},{"openapi":"delete /PaymentGatewayAccounts/{name}","title":"Delete a Payment Gateway Account","href":"/api-reference/paymentgatewayaccounts/delete-a-payment-gateway-account"}]},{"group":"Card Tools","pages":[{"title":"Card Tools API","href":"/api-reference/tools/overview"},{"openapi":"get /Tools/brand","title":"Brand Lookup","href":"/api-reference/tools/brand-lookup"},{"openapi":"get /Tools/iin","title":"Metadata Lookup","href":"/api-reference/tools/metadata-lookup"},{"openapi":"get /Tools/country","title":"Country Lookup","href":"/api-reference/tools/country-lookup"},{"openapi":"get /Tools/luhn","title":"Luhn Algorithm Validation","href":"/api-reference/tools/luhn-validation"},{"openapi":"post /Tools/validate","title":"Card Validation","href":"/api-reference/tools/card-validation"}]},{"group":"Utilities","pages":[{"openapi":"get /Utils/apiKey","title":"Validate Apikey","href":"/api-reference/utils/validate-apikey"}]},{"group":"Payments Library","pages":[{"title":"Payments Library API Overview","href":"/api-reference/ewalletoperations/overview"},{"openapi":"post /EWalletOperations","title":"Start an eWallet session","href":"/api-reference/ewalletoperations/start-an-ewallet-session"},{"openapi":"post /EWalletOperations/validateResults","title":"Validate payment results","href":"/api-reference/ewalletoperations/validate-operation-results"}]}]}]},"basePath":"","title":"Perform a payment gateway charge operation - Orchestra Solutions","buildId":"dpl_BLQvU86QFwq3AhPofSTw6q8dGWKm","deploymentId":"dpl_BLQvU86QFwq3AhPofSTw6q8dGWKm","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-Myd8dsju.js","utils-C2HkQgW0.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-8rSppmTv.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-B6MjiCFm.js","snippetPresets-DwrSAONL.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-1-a5UQKQ.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-C541m7wZ.js","shallow-CWELCZ77.js","getApiPlaygroundDisplay-CTo5Zn03.js","CodeSnippet-D--dzvnl.js","CodeSnippets-DM3cXEDh.js","Page-CxAy5y67.js","getPastedJson-C-VECgcL.js","icon-BPq2-Mg3.js","MethodPill-D9J5cUHd.js","DuplicateIcon-BqHaxUnD.js","createIcon-CIbcZHp9.js","DynamicMarkdown-BKiHAm_d.js","SectionHeading-DstQXt3H.js","axios-vUo_bRtp.js","Markdown-CpxgzsKA.js","clsx-C5EfhVm0.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CJ9Oly2E.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-Mk6P3qvh.js"]}